#
# spec file for package whois (Version 4.5.19)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         whois
License:      GPL
Group:        Productivity/Networking/Other
Provides:     ripe-whois-tools 
Autoreqprov:  on
URL:          http://www.linux.it/~md/software/
Version:      4.5.19
Release:      120
Summary:      whois client program
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch1:       %{name}-%{version}-buffoverflow-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is a new whois (RFC 954) client rewritten from scratch by Marco d'Itri.
It is derived from and compatible with the usual BSD and RIPE whois(1)
programs. It is intelligent and can automatically select the appropriate whois
server for most queries.
The package also contains mkpasswd, a simple front-end to crypt(3).

Authors:
--------
    Marco d'Itri <md@linux.it>

SuSE series: n

%prep
%setup 
%patch
%patch1

%build
make
make mkpasswd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}
make BASEDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%doc README
/usr/bin/*
%doc %{_mandir}/man1/*
/usr/share/locale/*/*/*

%changelog -n whois
* Thu Aug 28 2003 - postadal@suse.cz
- fixed buffer overflow [#29511]
* Fri Jan 18 2002 - nadvornik@suse.cz
- update to 4.5.19:
- updated .aero, .coop, .name, .pro, .dk and .edu TLD servers
* Mon Dec 10 2001 - nadvornik@suse.cz
- update to 4.5.15:
- updated translations
- bugfixes
* Thu Jul 26 2001 - nadvornik@suse.cz
- update to 4.5.6
* Tue Mar 27 2001 - nadvornik@suse.cz
- update to 4.5.4
* Thu Dec 07 2000 - uli@suse.de
- update -> 4.5.1 (doesn't segfault)
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Fri May 19 2000 - nadvornik@suse.cz
- update to 4.4.13
- changed group
* Thu Mar 30 2000 - nadvornik@suse.cz
- update to 4.4.12
- added BuildRoot
- added %%{_mandir} macro
* Fri Mar 03 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Feb 21 2000 - mha@suse.de
- completely new, different version from
  http://www.linux.it/~md/software/
  Quote README of the new version:
  "Why another whois client? Because the RIPE client is a mess of
  hacks and #ifdefs and more complex programs lack features or
  are bloated."
* Mon Nov 29 1999 - kukuk@suse.de
- fixed for SPARC
* Tue Sep 21 1999 - uli@suse.de
- fixed for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Feb 03 1999 - ro@suse.de
- use libcrypt on alpha
- no m486 on alpha
* Fri Oct 02 1998 - ro@suse.de
- defined _BSD_SOURCE
- dont redeclare gethostname
- link with -crypt where needed
* Tue May 27 1997 - florian@suse.de
- first version of ripe-whois 2.2
